<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');



if($_GET['producto']) $producto=$_GET['producto']; else $producto=$_POST['producto'];
if($_GET['clientePropietario']) $clientePropietario=$_GET['clientePropietario']; else $clientePropietario=$_POST['clientePropietario'];

$peticion='SGAUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEALMACENPRODUCTO#'.$_SESSION['almacen'].';'.$producto.'#'.$clientePropietario;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

if(!$resultado[0]['Error']) {
	
	$columnasFijas=1;
	$columnasVariables=0;
	
	if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI' && $clientePropietario!='PROPIO') $columnasFijas=$columnasFijas+2;
	
	?>
    
    <div id="popupModificarUbicacion" class="popup" style="display:none">
        <div class="popupContenido" style="padding-left:80px;padding-right:70px">
        	<input type="hidden" name="cantidadDisponible" id="cantidadDisponible" />
			<p id="popupTitulo"></p>
            <p>Nueva Ubicación:<br />
			<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoUbicacion" /><input name="nuevaUbicacion" type="text" class="campo" id="nuevaUbicacion" size="18"/><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarNuevaUbicacion"/></p>
            <p>Cantidad:<br />
            <input type="text" name="cantidad" id="cantidad" class="campo cantidad" size="10"/><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarCantidad" style="position:absolute;right:150px;cursor:pointer;margin-top:2px"/>
            </p>
            <input type="hidden" name="ubicacion" id="ubicacion" />
            <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']) { ?><input type="hidden" name="<?php echo strtolower($comportamiento['NombreSQL']); ?>" id="<?php echo strtolower($comportamiento['NombreSQL']); ?>" /><?php } ?>
			<?php } ?>
            <p><input type="submit" name="botonCancelar" id="botonCancelar" value="Cancelar" class="boton"/> <input type="submit" name="botonAceptar" id="botonAceptar" value="ACEPTAR" class="boton"/></p>
      </div>
</div>
    
	<p>Descripción:<br />
	<textarea name="descripcion" rows="3" disabled="disabled" class="campo descripcion" id="descripcion"><?php echo $resultado[0]['Descripcion']; ?></textarea>
	</p>
	<table class="tablaFormateada">
	<tr>
		<th>Ubicación</th>
        
        <?php if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI' && $clientePropietario!='PROPIO') { ?>
        <th>Cod. Cli. Prop.</th>
        <th>Nombre Cli. Prop.</th>
        <?php } ?>
        
        <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
			<?php $columnasVariables++; ?>
			<?php if($comportamiento['Activo']) { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
		<?php } ?>
		<th>Cantidad</th>
		<?php if($_SESSION['VerEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
        <th>Reservado</th>
	    <th>Reubicar</th>
	    <th>Desubicar</th>
	</tr>
	<?php
	$stock=0;
	$cajas=0;
	$reservado=0;
	foreach(arreglaArrayPXMobileProxiumResult($resultado[0]['Ubicaciones']) as $ubicacion) {
		foreach(arreglaArrayPXMobileProxiumResult($ubicacion['Contenedores']) as $contenedor) {
			$datos=arreglaArrayPXMobileProxiumResult($contenedor['Datos']);
			?>
			<tr>
				<td><a href="info-ubicacion-U.php?ubicacion=<?php echo $contenedor['UbicacionAlias']; ?>"><?php echo $contenedor['UbicacionAlias']; ?></a></td>
				
				<?php if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI' && $clientePropietario!='PROPIO') { ?>
				<td><?php echo $contenedor['ClientePropietario']; ?></td>
                <td><?php echo $contenedor['NombreClientePropietario']; ?></td>
                <?php } ?>
				
				<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
					<?php if($comportamiento['Activo']=='S') { ?>
                    <td>
                        <?php
						foreach($datos as $dato) {
							if($dato['Codigo']==$comportamiento['Codigo']) {
                                echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
                                break;
                            }
                        }
                        ?>
                    </td>
                    <?php } ?>
                <?php } ?>
                <td align="right"><?php echo number_format($contenedor['Stock'],$_SESSION['parametrosSGA']['ActivarDecimales'],',','.'); ?></td>
				<?php if($_SESSION['VerEnCajas']=='S') { ?><td align="right"><?php echo number_format($contenedor['Cajas'],2,',','.'); ?></td>
				<?php } ?>
                <td align="right"><?php echo number_format($contenedor['Reservado'],$_SESSION['parametrosSGA']['ActivarDecimales'],',','.'); ?></td>
			    <td align="right">
                	<?php if($contenedor['Stock']-$contenedor['Reservado']>0) { ?>
                	<img
                	cantidad="<?php echo number_format($contenedor['Stock'],$_SESSION['parametrosSGA']['ActivarDecimales'],',','.'); ?>"
                    reservado="<?php echo number_format($contenedor['Reservado'],$_SESSION['parametrosSGA']['ActivarDecimales'],',','.'); ?>"
                    ubicacionAlias="<?php echo $contenedor['UbicacionAlias']; ?>"
                    ubicacion="<?php echo $contenedor['Ubicacion']; ?>"
                    cantidadDisponible="<?php echo $contenedor['Stock']-$contenedor['Reservado']; ?>"
					<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                        <?php if($comportamiento['Activo']=='S') { ?>
                            <?php
                            foreach($datos as $dato) {
                                if($dato['Codigo']==$comportamiento['Codigo']) {
                                    echo strtolower($comportamiento['NombreSQL']).'="'.$dato['Valor'].'"';
                                    break;
                                }
                            }
                            ?>
                        <?php } ?>
                    <?php } ?>  
                	src="<?php echo DIR_IMAGENES; ?>/botones/edit.png"
                    alt="Editar" width="40" height="40" class="botonModificarUbicacion clicable"
                    />
                    <?php } else { ?>
                    <img src="<?php echo DIR_IMAGENES; ?>/botones/edit-off.png" alt="Editar" width="40" height="40"/>
                    <?php } ?>
                </td>
			    <td align="right">
                	<?php if($contenedor['Stock']-$contenedor['Reservado']>0) { ?>
                    <img
                    ubicacion="<?php echo $contenedor['Ubicacion']; ?>"
                    cantidadDisponible="<?php echo $contenedor['Stock']-$contenedor['Reservado']; ?>"
					 <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                        <?php if($comportamiento['Activo']=='S') { ?>
                            <?php
                            foreach($datos as $dato) {
                                if($dato['Codigo']==$comportamiento['Codigo']) {
                                    echo strtolower($comportamiento['NombreSQL']).'="'.$dato['Valor'].'"';
                                    break;
                                }
                            }
                            ?>
                        <?php } ?>
                    <?php } ?>  
                	src="<?php echo DIR_IMAGENES; ?>/botones/exit.png"
                    alt="Eliminar" width="40" height="40" class="botonDesubicar clicable"/>
                    <?php } else { ?>
                    <img src="<?php echo DIR_IMAGENES; ?>/botones/exit-off.png" alt="Editar" width="40" height="40"/>
                    <?php } ?>
                    </td>
			</tr>
			<?php
			$stock=$stock+$contenedor['Stock'];
			$cajas=$cajas+$contenedor['Cajas'];
			$reservado=$reservado+$contenedor['Reservado'];
		}
	}
	?>
	<tr>
		<td  colspan="<?php echo $columnasFijas+$columnasVariables; ?>" class="cabeceraTotal" align="right">Total</td>
		<td align="right" class="total"><?php echo number_format($stock,$_SESSION['parametrosSGA']['ActivarDecimales'],',','.'); ?></td>
		<?php if($_SESSION['VerEnCajas']=='S') { ?><td align="right" class="total"><?php echo number_format($cajas,2,',','.'); ?></td><?php } ?>
        <td align="right" class="total"><?php echo number_format($reservado,$_SESSION['parametrosSGA']['ActivarDecimales'],',','.'); ?></td>
        <td></td>
        <td></td>
	</tr>
	</table>
<?php
}
else {
	$error=explode('#',$resultado[0]['Error']);
	?><p class="error">Error <?php if($error[0]>0) echo $error[0]; ?>: <?php echo $error[1]; ?></p><?php 
}
?>
<script>

	$(document).ready(function() {
	
		$('.botonModificarUbicacion').on("click",function(){
		
			var cadena='Ubicación: '+$(this).attr('ubicacionAlias')+'<br>';
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { if($comportamiento['Activo']=='S') { ?>cadena=cadena+'<?php echo $comportamiento['NombreSQL']; ?>: '+$(this).attr('<?php echo strtolower($comportamiento['NombreSQL']); ?>')+'<br>';<?php } } ?>
			cadena=cadena+'Cantidad: '+$(this).attr('cantidad')+'<br>';
			cadena=cadena+'Reservado: '+$(this).attr('reservado');
		
			$('#popupTitulo').html(cadena);
			$('#ubicacion').val($(this).attr('ubicacion'));
			
			$('#cantidadDisponible').val( $(this).attr('cantidadDisponible') );
			
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { if($comportamiento['Activo']=='S') { ?>
			var valorOriginal=$(this).attr('<?php echo strtolower($comportamiento['NombreSQL']); ?>');
			var valorFinal;
			if( valorOriginal!=undefined && valorOriginal!="" ) valorFinal=valorOriginal; else valorFinal="-";
			$('#<?php echo strtolower($comportamiento['NombreSQL']); ?>').val( valorFinal );
			<?php } } ?>
			
			$('#popupModificarUbicacion').show();
			$('#nuevaUbicacion').focus();
		
		});
		
		$('#botonAceptar').on("click",function(){
		
			if( $('#nuevaUbicacion').val()=='' ) {
				alert("Por favor, indica la nueva Ubicación.",$('#nuevaUbicacion'));
			}
			else if( $('#cantidad').val()=='' ) {
				alert("Por favor, especifica la cantidad a ubicar.",$('#cantidad'));
			}
			else if( parseFloat($('#cantidad').val()) > parseFloat($('#cantidadDisponible').val()) ) {
				alert("Error: No puedes reubicar más cantidad de la disponible.",$('#cantidad'));
			}
			else {
			
				$('#popupCargando').show();
				
				$.post( "<?php echo $rutaHtml; ?>/contenidos/producto-U-cambiar-ubicacion.php", { 'producto' : '<?php echo $_POST['producto']; ?>' , 'ubicacion' : $('#ubicacion').val()<?php foreach($_SESSION['comportamientos'] as $comportamiento) { if($comportamiento['Activo']=='S') { ?>, '<?php echo strtolower($comportamiento['NombreSQL']); ?>' : $('#<?php echo strtolower($comportamiento['NombreSQL']); ?>').val()<?php } } ?> , 'nuevaUbicacion' : $('#nuevaUbicacion').val() , 'cantidad' : $('#cantidad').val() })
				.done(function(data) {
				
					$('#popupCargando').hide();
				
					alert(data);
					/*
					var resultado=data.split('#');
					if(resultado[0]==1) {
						alert(resultado[1]).done( function(){
							$('#popupCargando').show();
							window.location=window.location;
						});
					}
					else alert('ERROR: '+resultado[1]);
					*/
				});
				
			
			}
		
		});
		
		$('#botonCancelar').on("click",function(){
		
			$('#popupTitulo').html('');
			$('#ubicacion').val('');
			
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { if($comportamiento['Activo']=='S') { ?>$('#<?php echo strtolower($comportamiento['NombreSQL']); ?>').val('');<?php } } ?>
			
			$('#nuevaUbicacion').val('');
			$('#cantidad').val('');
			
			$('#popupModificarUbicacion').hide();
		
		});
	
		$('.botonDesubicar').on("click",function(){
		
			var ubicacion=$(this).attr('ubicacion');
			<?php
			foreach($_SESSION['comportamientos'] as $comportamiento) {
				if($comportamiento['Activo']=='S') {
					?>var <?php echo strtolower($comportamiento['NombreSQL']); ?>=$(this).attr('<?php echo strtolower($comportamiento['NombreSQL']); ?>');<?php
				}
			}
			?>
			
			confirm( 'Se va a proceder a desubicar este producto.<br>Cantidad disponible: '+$(this).attr('cantidadDisponible') ).done( function(){
		
				$('#popupCargando').show();
			
				$.post( "<?php echo $rutaHtml; ?>/contenidos/producto-U-eliminar.php", { 'producto' : '<?php echo $_POST['producto']; ?>' , 'ubicacion' : ubicacion <?php foreach($_SESSION['comportamientos'] as $comportamiento) { if($comportamiento['Activo']=='S') { ?>, '<?php echo $comportamiento['NombreSQL']; ?>' : <?php echo strtolower($comportamiento['NombreSQL']); ?> <?php } } ?> }).done(function(data) {
					
					$('#popupCargando').hide();
					
					var resultado=data.split('#');
					if(resultado[0]==1) {
						alert(resultado[1]).done( function(){
							$('#popupCargando').show();
							window.location.reload();
						});
					}
					else alert('ERROR: '+resultado[1]);
				});
			
			});
		
		});
		
		$('#tecladoUbicacion').on("click",function(){
		
			$('#teclado').show();
			$('#valor').val( $('#nuevaUbicacion').val() );
			$('#valorOculto').val( $('#nuevaUbicacion').val() );
			$('#enter').attr('campoValor','nuevaUbicacion');
			
		});
		
		$('#borrarNuevaUbicacion').on("click",function(){
		
			$("#nuevaUbicacion").val('');
			$("#nuevaUbicacion").focus();
			
		});
		
		$('.cantidad').on("click",function(e) {
			$('#calculadora').show();
			$('#valorCalculadora').val( $(this).val() );
			$('#enterCalculadora').attr('campoValor','cantidad');
		});
		
		$('#borrarCantidad').on("click",function(){
			$("#cantidad").val('');
			$("#cantidad").focus();
		});
	
	});

</script>